﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace DockSample
{
    public class LoadForce : DetachableLoad
    {
        protected double _force;

        public LoadForce(string name)
        {
            _name = name;
            _mainType = MainType.Force;
        }

        [Category("Main"), ReadOnly(false), Description("Static force in newton (N).")]
        public double Force
        {
            get { return _force; }
            set
            {
                if (value != this._force)
                {
                    this._force = value;
                    OnPropertyChanged("Force");
                }
            }
        }
    }
}
