﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DockSample
{
    public class Jerk : NotifyPropertyChangedBase
    {
        private double _time;
        private double _finalJerk;
        private double _offset;
        private double _integral;
        private double _accTime;

        public Jerk() {}

        public double Time
        {
            get { return _time; }
            set
            {
                if (value != this._time)
                {
                    this._time = value;
                    OnPropertyChanged("Time");
                }
            }
        }

        public double FinalJerk
        {
            get { return _finalJerk; }
            set
            {
                if (value != this._finalJerk)
                {
                    this._finalJerk = value;
                    OnPropertyChanged("FinalJerk");
                }
            }
        }

        public double Offset
        {
            get { return _offset; }
            set
            {
                if (value != this._offset)
                {
                    this._offset = value;
                    OnPropertyChanged("Offset");
                }
            }
        }

        public double Integral
        {
            get { return _integral; }
            set
            {
                if (value != this._integral)
                {
                    this._integral = value;
                    OnPropertyChanged("Integral");
                }
            }
        }

        public double AccTime
        {
            get { return _accTime; }
            set
            {
                if (value != this._accTime)
                {
                    this._accTime = value;
                    OnPropertyChanged("AccTime");
                }
            }
        }
    }
}
