using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using WeifenLuo.WinFormsUI.Docking;

namespace DockSample
{
    public partial class FrmTable : ToolWindow
    {
        public FrmTable()
        {
            InitializeComponent();
        }

        public void ClearTable()
        {
            dataGridView_Profile.DataSource = null;
        }

        public void CreateTable(IList<SectorElement> elementsList)
        {
            //Add table data
            dataGridView_Profile.DataSource = elementsList;
            dataGridView_Profile.AutoGenerateColumns = true;
        }
    }
}