﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace DockSample
{
    public class ApplicationData : NotifyPropertyChangedBase
    {
        private string _appName;
        private string _date;
        private string _customer;
        private string _yourRef;
        private string _ourRef;
        private string _description;

        public ApplicationData()
        {
            _appName = "AppName";
            _date = System.DateTime.Today.ToString("yyyy-MM-dd");
        }

        public string AppName
        {
            get { return _appName; }
            set
            {
                if (value != this._appName)
                {
                    this._appName = value;
                    OnPropertyChanged("AppName");
                }
            }
        }

        public string Date
        {
            get { return _date; }
            set
            {
                if (value != this._date)
                {
                    this._date = value;
                    OnPropertyChanged("Date");
                }
            }
        }

        public string Customer
        {
            get { return _customer; }
            set
            {
                if (value != this._customer)
                {
                    this._customer = value;
                    OnPropertyChanged("Customer");
                }
            }
        }

        public string YourRef
        {
            get { return _yourRef; }
            set
            {
                if (value != this._yourRef)
                {
                    this._yourRef = value;
                    OnPropertyChanged("YourRef");
                }
            }
        }

        public string OurRef
        {
            get { return _ourRef; }
            set
            {
                if (value != this._ourRef)
                {
                    this._ourRef = value;
                    OnPropertyChanged("OurRef");
                }
            }
        }

        public string Description
        {
            get { return _description; }
            set
            {
                if (value != this._description)
                {
                    this._description = value;
                    OnPropertyChanged("Description");
                }
            }
        }
    }
}
