﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace DockSample
{
    public class Drive : GenericStaticComponent, IAccessory
    {
        //Unique properties
        private BrakeResistor _intBrkRes;
        private double _capCharge;

        //Current data
        private double _maxCur;
        private double _maxCurDur;
        private double _curED;
        private double _nomCur;        

        //Constructor
        public Drive()
        {
            _mainType = MainType.Drive;
            _intBrkRes = new BrakeResistor();
        }

        public BrakeResistor IntBrkRes
        {
            get { return _intBrkRes; }
            set
            {
                if (value != this._intBrkRes)
                {
                    this._intBrkRes = value;
                    OnPropertyChanged("IntBrkRes");
                }
            }
        }

        public double CapCharge
        {
            get { return _capCharge; }
            set
            {
                if (value != this._capCharge)
                {
                    this._capCharge = value;
                    OnPropertyChanged("CapCharge");
                }
            }
        }

        public double MaxCur
        {
            get { return _maxCur; }
            set
            {
                if (value != this._maxCur)
                {
                    this._maxCur = value;
                    OnPropertyChanged("MaxCur");
                }
            }
        }

        public double MaxCurDur
        {
            get { return _maxCurDur; }
            set
            {
                if (value != this._maxCurDur)
                {
                    this._maxCurDur = value;
                    OnPropertyChanged("MaxCurDur");
                }
            }
        }

        public double CurED
        {
            get { return _curED; }
            set
            {
                if (value != this._curED)
                {
                    this._curED = value;
                    OnPropertyChanged("CurED");
                }
            }
        }

        public double NomCur
        {
            get { return _nomCur; }
            set
            {
                if (value != this._nomCur)
                {
                    this._nomCur = value;
                    OnPropertyChanged("NomCur");
                }
            }
        }        
    }
}
