﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DockSample
{
    public class MotorResult : LoadResult
    {
        protected double _inertiaRatio;

        public MotorResult() { }

        public double InertiaRatio
        {
            get { return _inertiaRatio; }
            set
            {
                if (value != this._inertiaRatio)
                {
                    this._inertiaRatio = value;
                    OnPropertyChanged("InertiaRatio");
                }
            }
        }


    }
}
