﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Drawing.Design;
using System.Windows.Forms;

namespace DockSample
{
    internal class UIArticleDialog : UITypeEditor
    {
        private UIDialogReadArticles dialogArticles = new UIDialogReadArticles();

        public override UITypeEditorEditStyle GetEditStyle(
         ITypeDescriptorContext context)
        {
            return UITypeEditorEditStyle.DropDown;
        }

        public override object EditValue(
         ITypeDescriptorContext context,
         IServiceProvider provider,
         object value)
        {
            if (context.Instance.ToString() == "DockSample.GearBox")
                dialogArticles.mainType = MainType.GearBox;
            else
                if (context.Instance.ToString() == "DockSample.Motor")
                    dialogArticles.mainType = MainType.Motor;
                else
                    return base.EditValue(context, provider, value);

            dialogArticles.StartPosition = FormStartPosition.CenterParent;

            if (dialogArticles.ShowDialog() == DialogResult.OK)
            {
                return dialogArticles.ArticleNo;
            }

            return base.EditValue(context, provider, value);
        }
    } 
}
