﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Drawing.Design;
using System.Windows.Forms;

namespace DockSample
{
    internal class UIGearingEditor : UITypeEditor
    {
        private UIDialogDefineGearing dialogGearing = new UIDialogDefineGearing();

        public override UITypeEditorEditStyle GetEditStyle(
         ITypeDescriptorContext context)
        {
            return UITypeEditorEditStyle.Modal;
        }

        public override object EditValue(
         ITypeDescriptorContext context,
         IServiceProvider provider,
         object value)
        {
            dialogGearing.StartPosition = FormStartPosition.CenterParent;

            if (dialogGearing.ShowDialog() == DialogResult.OK)
            {
                return dialogGearing.Gearing;
            }
            return base.EditValue(context, provider, value);
        }
    } 
}
