﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace DockSample
{
    //Mechanical data
    public enum MainType
    {
        Undefined,
        EncoderCable,
        MotorCable,
        BrakeCable,
        Drive,
        BrakeResistor,
        EMCFilter,
        DCFilter,
        Battery,
        Safety,
        IOCard,
        IOCable,
        BusCable,
        Controller,
        ExtensionCard,
        ExtensionCable,
        ExtensionTerminal,
        BrakeUnit,
        Motor,
        Coupling,
        BallScrew,
        ToothedBelt,
        TurnTable,
        RackAndPinion,
        GearBox,
        Mass,
        Force,
        Torque,
        Inertia
    }


    public enum Brand
    {
        BSD
    }

    public enum CouplingBrand
    {
        Undefined,
        AluFlex
    }

    public enum CouplingType
    {
        Undefined,
        Bellow
    }

    public enum GearBoxBrand
    {
        Undefined,
        Wittenstein,
        LSIS
    }

    public enum GearBoxType
    {
        Undefined,
        PlanetaryStraight,
        PlanetaryRightAngle,
        WormGear
    }

    public enum GearBoxFamily
    {
        Undefined = 0,
        SSO = 1,
        HSR = 2, 
        LP = 3,
        CP = 4
     }
    
    /*public enum LSISGearBoxFamily : GearBoxFamily
    {
        Undefined,
        SSO,
        HSR
     }
    
    public enum WittensteinGearBoxFamily
    {
        LP,
        CP,
    }*/

    public enum DriveUnitType
    {
        Undefined,
        ServoAmplifier
    }

    public enum MotorType
    {
        Undefined,
        ServoMotor,
        DirectDrive
    }

    public enum MotorFamily
    {
        Undefined,
        FB,
        FC,
        FExA,
        FExD,
        FFxA,
        FFxD
    }

    public enum MechInterface
    {
        Undefined,
        SmoothShaft,
        KeyedShaft,
        SmoothHollow,
        KeyedHollow,
        Flange
    }

    public enum GeometryType
    {
        Cylinder,
        Sphere,
        Cone
    }

    public enum Material
    {
        Steel,
        Aluminum,
        Plastic
    }

    public enum MoveType
    {
        Undefined,
        PreDefined,
        UserDefined
    }

    public enum Profile
    {
        Undefined,
        Triangular,
        Symmetric,
        Asymmetric
    }

    public enum MoveRemoveEvent
    {
        Insert,
        MoveDown,
        MoveUp,
        Remove
    }

    public enum TimeBase
    {
        MilliSecond = 1000,
        HundredMicroSeconds = 10000,
        TenMicroSeconds = 100000,
        MicroSecond = 1000000
    }

    public enum Criteria
    {
        Always,
        Never,
        Auto
    }

    public enum UseGearBoxCriteria
    {
        Always,
        Auto
    }

    public enum Condition
    {
        OnlyNew,
        NewAndCampaign,
        OnlyCampaign
    }

    public enum ConnectionDirection
    {
        TowardsShaft,
        AgainstShaft,
        Sideways
    }
}
